Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 614565 - Lotus Notes webmail (at Hawaii DOE) broken by eTLD list update
: Lotus Notes webmail (at Hawaii DOE) broken by eTLD list update
: regression
Product: Core
Classification: Components
Component: Networking: Domain Lists (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
: Patrick McManus [:mcmanus]
Depends on:
Blocks: 428944 576508
  Show dependency treegraph
Reported: 2010-11-24 07:36 PST by Mike Beltzner [:beltzner, not reading bugmail]
Modified: 2010-12-10 07:30 PST (History)
20 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

1.9.2 patch (2.72 KB, patch)
2010-11-25 17:12 PST, christian
dveditz: review+
Details | Diff | Splinter Review
1.9.1 patch (2.72 KB, patch)
2010-11-25 17:13 PST, christian
dveditz: review+
Details | Diff | Splinter Review
trunk patch, only removes (453 bytes, patch)
2010-11-29 15:52 PST, Daniel Veditz [:dveditz]
dveditz: review+
christian: approval2.0+
Details | Diff | Splinter Review

Description Mike Beltzner [:beltzner, not reading bugmail] 2010-11-24 07:36:15 PST
Original report from Hendrix:


Aloha. The latest update of Firefox prevents hundreds of employees of
the Hawaii Department of Education (DOE) from accessing any DOE
web-based applications (i.e. email, student databases, professional
development registration, etc.). The DOE's technical support
branch--the Centralized Service Desk, (xxx) xxx-xxxx -- is advising all
employees to use an alternate browser.  Firefox is my preferred browser.
Is there anyway that you can rectify this matter since so many users
are being affected?


Cheng dug in with a username and password given by the contact, and said:

"I have headers (unfortunately they have username/password in plaintext so I won't attach).  Looks like it's trying to do a redirect to itself but failing to set a cookie (?)."

He then found this regression range:

in which I strongly suspect this as cause:

   bug 595300 - Update to NSS_3_12_8_RTM

Which was fixed in 3.6.11 and 3.5.14

Cheng can provide a test login/password to people who can debug what's happening here.
Comment 1 :Gavin Sharp [email:] 2010-11-24 10:49:31 PST
This was actually caused by (confirmed via local bisect).
Comment 2 :Gavin Sharp [email:] 2010-11-24 10:50:53 PST
In particular, this addition:

(the site in question is a site)
Comment 3 :Gavin Sharp [email:] 2010-11-24 10:57:20 PST
The site is at .

In builds that work, the login process adds a cookie with the following attributes:

Name: LtpaToken
Path: /

In builds that don't work, that cookie cannot be set (presumably because we now consider that domain to be "top level"), so the login fails.
Comment 4 2010-11-24 11:04:06 PST
Gerv, any idea what we should do here? I'm really not sure if they actually mean to set a cookie for; if that domain is used as a US-wide k12 single signon portal or something, then we should fix on our end; if not, we should get them to fix theirs.
Comment 5 2010-11-24 11:05:36 PST
(I guess what I'm really asking is whether someone wants to get in touch with them to work through this.)
Comment 6 :Gavin Sharp [email:] 2010-11-24 11:18:56 PST
I think it actually probably is intended as a * login, since presumably all of the infra under that domain is under the control of the Hawaii DOE (comment 0 suggests that it affects multiple systems).
Comment 7 2010-11-24 11:21:27 PST
Oh, right, I misread as So I think we probably want to remove all the k12.*.us rules...
Comment 8 [:Cww] 2010-11-24 16:32:28 PST
Ok, I followed up with the tech support desk there.  They would like us to remove from the list of eTLDs.  I was wondering if we could get that in for 3.6.13 since it's really really low risk?
Comment 9 [:Cww] 2010-11-24 16:34:54 PST
(FWIW, it may be that we need to look at this on a state-by-state basis as it seems different states expect different behavior)
Comment 10 2010-11-24 16:43:24 PST
(In reply to comment #9)
> (FWIW, it may be that we need to look at this on a state-by-state basis as it
> seems different states expect different behavior)

Sounds fragile to me... the argument for keeping them all in there isn't fantasically strong, since different K12 schools in a given state aren't likely to try to mess with each other's logins. I'd just drop them all.

Thanks for doing the legwork Cheng!
Comment 11 Daniel Veditz [:dveditz] 2010-11-24 18:15:41 PST
presumptively assigning to gerv as the official Keeper of the Lists.

If we re-spin 3.5.16/3.6.13 it'd be nice to pick this up. Renominating to keep on the radar.
Comment 12 christian 2010-11-24 18:51:56 PST
I actually want to pick this up for 3.6.13 and 3.5.16. I'll send an email with the plan, but this is what I want:

* Keep the current builds live on the beta channel
* Have Toronto RelEng create build #2 of both with the .edu stuff backed out (not sure if this is possible currently)
* Push the build #2s to the beta audience on Monday or Tuesday
Comment 13 Gervase Markham [:gerv] 2010-11-24 22:50:00 PST
Just catching up here: I'm very happy to remove them, even pending further investigation. Removing them is pretty low risk, as you say. So do that, and I can think about the larger issues at leisure :-)

Comment 14 christian 2010-11-24 23:46:46 PST
Sounds good. Can we get a patch added to the bug so I can approve and we can land on both the relbranches and default?
Comment 15 christian 2010-11-25 17:12:39 PST
Created attachment 493313 [details] [diff] [review]
1.9.2 patch
Comment 16 christian 2010-11-25 17:13:10 PST
Created attachment 493314 [details] [diff] [review]
1.9.1 patch
Comment 17 Daniel Veditz [:dveditz] 2010-11-26 09:48:52 PST
These patches essentially back out bug 428944. We'll fix Hawaii but re-break Indiana and other states (although the two breakages were not equal).

Is there going to be a trunk patch? Maybe the trunk could delete only HI and wait for feedback on the other states before removing them.

HI doesn't seem to have any or sites (according to a Google inurl: search). The states that do seem to have very local sites.

> since different K12 schools in a given state aren't likely
> to try to mess with each other's logins. I'd just drop them all.

The adults might not, but schools are full of students. I can easily imagine parts of a school website being created by students much the way the yearbook and weekly paper is. If messing with those pages could potentially gather credentials to a "student database" (grades?) that might be very very tempting.
Comment 18 Daniel Veditz [:dveditz] 2010-11-29 13:53:53 PST
Comment on attachment 493313 [details] [diff] [review]
1.9.2 patch

Comment 19 Daniel Veditz [:dveditz] 2010-11-29 13:54:06 PST
Comment on attachment 493314 [details] [diff] [review]
1.9.1 patch

Comment 20 Daniel Veditz [:dveditz] 2010-11-29 13:55:48 PST
For the branches just back out the whole thing. For trunk we should consider only backing out and leave the rest until we get feedback.
Comment 22 Daniel Veditz [:dveditz] 2010-11-29 15:52:00 PST
Created attachment 493828 [details] [diff] [review]
trunk patch, only removes

trunk patch to remove Hawaii from the k12 list.
Comment 23 Gervase Markham [:gerv] 2010-11-30 02:44:46 PST
OK, so the tension here is between the two different uses of the PSL. There's cookie setting, for which Hawaii wants to be able to set a cookie for, and there's SSL indicator display, for which Indiana want to display rather than

In general, I have more sympathy with the latter view, and I think states any larger than Hawaii are less likely to have state-wide single signon across schools, libraries or community colleges. But the compat issues are smaller with the SSL indicator than with cookies.

So my view is that on the branches, we should back out the patch (better compat), and on trunk we should take this on a case-by-case basis for now. Let's back out and see if we get other complaints as well. (Note bug 608362, where the company fixed their over-expansive cookie-setting.)

So basically, we should do what we just did :-)

Comment 24 B.J. Herbison 2010-12-02 03:04:32 PST
Is it really the job of the Firefox team, the IE team, the Chrome team, the Opera team, and so on to debate the cookie scope for every possible domain? Shouldn't that be a decision for each domain owner?

How about something in the DNS records for that says "cookies can be set for this domain" and something in "" that says "cookies can not be set for this domain, only subdomains"? Browsers would keep current rules, and gradually strip them back as the domains took over the work.
Comment 25 Gervase Markham [:gerv] 2010-12-02 03:07:39 PST
B.J.: there are internet-drafts (from Opera) for that sort of idea, but they haven't been ratified. And even if they were, they would need to be implemented on a wide enough scale that we could drop the PSL. If that happens, great. In the mean time, we need a list.

Comment 26 Daniel Veditz [:dveditz] 2010-12-09 19:14:52 PST
Comment on attachment 493828 [details] [diff] [review]
trunk patch, only removes

I'm interpreting comment 23 as an r=gerv, clegnitto agreed.
Comment 27 Daniel Veditz [:dveditz] 2010-12-09 19:16:03 PST
Comment 28 Gervase Markham [:gerv] 2010-12-10 07:30:08 PST
Yep, r=gerv.


Note You need to log in before you can comment on or make changes to this bug.